Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanOptionManager

    java.lang.Object
      ix.iplan.IPlanOptionManager

    public class IPlanOptionManager

extends java.lang.Object

Manages options for an instance of `IPlan` or `Ip2`.

Nested Class Summary
`static class` | `IPlanOptionManager.ModelHolder`
`static class` | `IPlanOptionManager.NoPlanEvent`
`class` | `IPlanOptionManager.Opt`
`static class` | `IPlanOptionManager.PlanEvent`
`protected class` | `IPlanOptionManager.PlanGen` Finds plans for options.
`static class` | `IPlanOptionManager.PseudoMessage`
`static class` | `IPlanOptionManager.UndoEvent`

Constructor Summary
`IPlanOptionManager(Ip2 ip2)`

Method Summary
`void` | `addOptionListener(OptionListener listener)`
`void` | `beginUndoableTransaction(java.lang.String note)`
`boolean` | `canTakeInput()`
`void` | `clearOption()`
`void` | `clearOptionAllButState()`
`void` | `connectYourself()`
`void` | `copyOption(java.lang.String newName)`
`void` | `deleteOption()`
`void` | `deleteOptions(java.util.List selected)`
`void` | `endUndoableTransaction(java.lang.String note)`
`java.util.SortedMap` | `getNameToOptionMap()`
`IPlanOptionManager.Opt` | `getOption()`
`IPlanOptionManager.Opt` | `getOptionForInput()`
`java.util.List` | `getPlanEvaluators()`
`PlanStats` | `getStats()`
`java.util.List<UndoAction>` | `getUndoTrail()`
`void` | `handleReportWhenOptions(IPC.InputMessage message)`
`void` | `initOneOption()`
`void` | `initOptions()`
`void` | `loadOptions(java.lang.String directoryName)`
`void` | `markUndoPoint(java.lang.String note)`
`void` | `newOption(java.lang.String name)`
`boolean` | `plan()`
`void` | `printUndoTrail()`
`protected void` | `printUndoTrail(int indent, int max, java.util.LinkedList trail)`
`protected void` | `printUndoTrail(IPlanOptionManager.Opt option)`
`java.util.SortedMap` | `readPlans(java.lang.String directoryName)` Returns a map from (file / option) names to Plans.
`void` | `recordDelayedInput(IPC.InputMessage message)`
`void` | `renameOption(java.lang.String newName)`
`void` | `replan()`
`void` | `saveUndoAction(UndoAction un)`
`protected void` | `setOption(IPlanOptionManager.Opt option)`
`void` | `setOption(java.lang.String name)`
`void` | `setOptionForInput(IPlanOptionManager.Opt option)`
`void` | `setOptionForInput(java.lang.String name)`
`void` | `splitOption()`
`void` | `syncState(java.util.List selectedRecipients)`
`void` | `undo()`
`void` | `undoableTransaction(java.lang.String note, java.lang.Runnable r)` Packages an undoable transaction as one method call.
`protected boolean` | `undoIsActive()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPlanOptionManager

    public IPlanOptionManager(Ip2 ip2)

Method Detail

### getPlanEvaluators

    public java.util.List getPlanEvaluators()

### connectYourself

    public void connectYourself()

### initOneOption

    public void initOneOption()

### initOptions

    public void initOptions()

### loadOptions

    public void loadOptions(java.lang.String directoryName)

### getNameToOptionMap

    public java.util.SortedMap getNameToOptionMap()

### getOption

    public IPlanOptionManager.Opt getOption()

### setOption

    public void setOption(java.lang.String name)

### setOption

    protected void setOption(IPlanOptionManager.Opt option)

### getOptionForInput

    public IPlanOptionManager.Opt getOptionForInput()

### setOptionForInput

    public void setOptionForInput(java.lang.String name)

### setOptionForInput

    public void setOptionForInput(IPlanOptionManager.Opt option)

### canTakeInput

    public boolean canTakeInput()

### recordDelayedInput

    public void recordDelayedInput(IPC.InputMessage message)

### handleReportWhenOptions

    public void handleReportWhenOptions(IPC.InputMessage message)

### newOption

    public void newOption(java.lang.String name)

### copyOption

    public void copyOption(java.lang.String newName)

### renameOption

    public void renameOption(java.lang.String newName)

### splitOption

    public void splitOption()

### plan

    public boolean plan()

### replan

    public void replan()

### getStats

    public PlanStats getStats()

### clearOption

    public void clearOption()

### clearOptionAllButState

    public void clearOptionAllButState()

### deleteOption

    public void deleteOption()

### deleteOptions

    public void deleteOptions(java.util.List selected)

### syncState

    public void syncState(java.util.List selectedRecipients)

### undo

    public void undo()

### undoIsActive

    protected final boolean undoIsActive()

### markUndoPoint

    public void markUndoPoint(java.lang.String note)

### saveUndoAction

    public void saveUndoAction(UndoAction un)

### undoableTransaction

    public void undoableTransaction(java.lang.String note,
                                    java.lang.Runnable r)

  Packages an undoable transaction as one method call.

  See Also:
    `Ip2ModelManager.undoableTransaction(String, Runnable)`

### beginUndoableTransaction

    public void beginUndoableTransaction(java.lang.String note)

### endUndoableTransaction

    public void endUndoableTransaction(java.lang.String note)

### getUndoTrail

    public java.util.List<UndoAction> getUndoTrail()

### printUndoTrail

    public void printUndoTrail()

### printUndoTrail

    protected void printUndoTrail(IPlanOptionManager.Opt option)

### printUndoTrail

    protected void printUndoTrail(int indent,
                                  int max,
                                  java.util.LinkedList trail)

### addOptionListener

    public void addOptionListener(OptionListener listener)

### readPlans

    public java.util.SortedMap readPlans(java.lang.String directoryName)

  Returns a map from (file / option) names to Plans.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD